Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## groovy.inspect.swingui
[Groovy] Class TreeNodeBuildingNodeOperation

    java.lang.Object
      org.codehaus.groovy.control.CompilationUnit.PrimaryClassNodeOperation
          groovy.inspect.swingui.TreeNodeBuildingNodeOperation

    class TreeNodeBuildingNodeOperation
    extends PrimaryClassNodeOperation

This Node Operation builds up a root tree node for the viewer.

Authors:
  Hamlet D'Arcy

Property Summary
`ScriptToTreeNodeAdapter` | `adapter`
`java.lang.Object` | `nodeMaker`
`java.lang.Object` | `root`
`java.lang.Object` | `showScriptClass`
`java.lang.Object` | `showScriptFreeForm`
`java.lang.Object` | `sourceCollected`

Constructor Summary
`TreeNodeBuildingNodeOperation(ScriptToTreeNodeAdapter adapter, java.lang.Object showScriptFreeForm, java.lang.Object showScriptClass)`

Method Summary
`void` | `call(SourceUnit source, GeneratorContext context, ClassNode classNode)`

Property Detail

### adapter

    final ScriptToTreeNodeAdapter adapter

### nodeMaker

    final java.lang.Object nodeMaker

### root

    final java.lang.Object root

### showScriptClass

    final java.lang.Object showScriptClass

### showScriptFreeForm

    final java.lang.Object showScriptFreeForm

### sourceCollected

    final java.lang.Object sourceCollected

Constructor Detail

### TreeNodeBuildingNodeOperation

    TreeNodeBuildingNodeOperation(ScriptToTreeNodeAdapter adapter, java.lang.Object showScriptFreeForm, java.lang.Object showScriptClass)

Method Detail

### call

    void call(SourceUnit source, GeneratorContext context, ClassNode classNode)

Groovy Documentation